com.holonplatform.vaadin7.components.builders

## Enum BaseSelectInputBuilder.RenderingMode

- java.lang.Object
- - java.lang.Enum<BaseSelectInputBuilder.RenderingMode>
  - - com.holonplatform.vaadin7.components.builders.BaseSelectInputBuilder.RenderingMode

- All Implemented Interfaces:
    Serializable, Comparable<BaseSelectInputBuilder.RenderingMode>
  Enclosing interface:
    BaseSelectInputBuilder<T,C extends Input<T>,S,ITEM,B extends BaseSelectInputBuilder<T,C,S,ITEM,B>>

      public static enum BaseSelectInputBuilder.RenderingMode
      extends Enum<BaseSelectInputBuilder.RenderingMode>

  Select UI rendering mode

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NATIVE_SELECT` Renders as native select, i.e. using client browser native rendering.
    `OPTIONS` Renders as an options group (A checkbox group for single selection mode or a radio buttons group for multiple selection mode)
    `SELECT` Renders as a select field (A ComboBox for single selection mode or a ListSelect for multiple selection mode)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BaseSelectInputBuilder.RenderingMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BaseSelectInputBuilder.RenderingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NATIVE_SELECT

          public static final BaseSelectInputBuilder.RenderingMode NATIVE_SELECT

      Renders as native select, i.e. using client browser native rendering.

      This rendering mode is not suitable for multi-select mode. In this case, `SELECT` will be used as fallback.

    - #### SELECT

          public static final BaseSelectInputBuilder.RenderingMode SELECT

      Renders as a select field (A ComboBox for single selection mode or a ListSelect for multiple selection mode)

    - #### OPTIONS

          public static final BaseSelectInputBuilder.RenderingMode OPTIONS

      Renders as an options group (A checkbox group for single selection mode or a radio buttons group for multiple selection mode)

  - ### Method Detail

    - #### values

          public static BaseSelectInputBuilder.RenderingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BaseSelectInputBuilder.RenderingMode c : BaseSelectInputBuilder.RenderingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BaseSelectInputBuilder.RenderingMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.